%global momorel 2

%define pkgname   dirsrv

Summary:          389 Directory Server Gateway (dsgw)
Name:             389-dsgw
Version:          1.1.5
Release:          %{momorel}m%{?dist}
License:          GPLv2
URL:              http://port389.org/
Group:            System Environment/Daemons
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    nspr-devel
BuildRequires:    nss-devel
BuildRequires:    svrcore-devel
BuildRequires:    mozldap-devel
BuildRequires:    cyrus-sasl-devel
BuildRequires:    icu >= 4.2
BuildRequires:    libicu-devel >= 4.2
BuildRequires:    389-adminutil-devel

Requires:         389-admin
# orgchart uses perldap
Requires:         perl-Mozilla-LDAP
Provides:         fedora-ds-dsgw = %{version}-%{release}
Obsoletes:        fedora-ds-dsgw < 1.1.3-1

Source0:          http://port389.org/sources/%{name}-%{version}.tar.bz2
NoSource:         0

%description
389 Directory Server Gateway is a collection of 3 web applications
that run on top of the Administration Server used by the Directory
Server.  These 3 applications are:
* phonebook - a simple phonebook application geared towards end users,
with simple search screens and simple self-service management
* orgchart - an organization chart viewer
* gateway - a more advanced search interface that allows admins to
create and edit user entries, and allows creation of templates for
different types of user and group entries

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-rpath

# Generate symbolic info for debuggers
export XCFLAGS=$RPM_OPT_FLAGS

%ifarch x86_64 ppc64 ia64 s390x sparc64
export USE_64=1
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT 

make DESTDIR="$RPM_BUILD_ROOT" install

# make cookie db directory
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/%{pkgname}/dsgw/cookies

%clean
rm -rf $RPM_BUILD_ROOT

%post
# this has been problematic - if this directory
# does not exist, the server will silently fail to
# start - however, if the user has already created
# it, we don't want to overwrite the permissions
# on it - so we can't list it explicitly in the
# files section
if [ ! -d %{_localstatedir}/run/%{pkgname}/dsgw/cookies ] ; then
    mkdir -p %{_localstatedir}/run/%{pkgname}/dsgw/cookies
fi

%files
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_sysconfdir}/%{pkgname}/dsgw
%config(noreplace)%{_sysconfdir}/%{pkgname}/dsgw/*.conf
%{_datadir}/%{pkgname}/dsgw
%{_datadir}/%{pkgname}/manual/*/dsgw
%{_datadir}/%{pkgname}/properties/dsgw
%{_sbindir}/*
%{_libdir}/%{pkgname}/dsgw-cgi-bin

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.5-2m)
- full rebuild for mo7 release

* Sat Jul 24 2010 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.5-1m)
- rename to 389
- sync Fedora
- version up 1.1.5

* Sun May 16 2010 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.1.2-4m)
- fix BuildRequires version of libicu-devel

* Thu May 13 2010 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.1.2-3m)
- rebuild against icu-4.2.1

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.2-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu May 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.2-1m)
- sync with Fedora 11 (1.1.2-1)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.1-2m)
- rebuild against rpm-4.6

* Sun Oct 19 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.1.1-1m)
- update to 1.1.1

* Tue Jul  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.0-3m)
- rebuild against icu-4.0

* Fri Apr 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.0-2m)
- modify Requires

* Fri Apr 25 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.0-1m)
- import from Fedora

* Mon Mar  3 2008 Rich Megginson <rmeggins@redhat.com> - 1.1.0-1
- Initial version based on fedora-ds-admin.spec
